<?php

namespace DropshippingExportFreeVendor\WPDesk\Library\DropshippingExport\Form;

use DropshippingExportFreeVendor\WPDesk\Forms\Form\FormWithFields;
use DropshippingExportFreeVendor\WPDesk\Library\DropshippingExport\Infrastructure\Form\Abstraction\FormIdentity;
class CategoriesNokautForm extends FormWithFields implements FormIdentity
{
    const ID = 'settings_categories_nokaut';
    public function __construct(Fields\CategoriesNokautFormFields $fields)
    {
        parent::__construct($fields->get_fields(), self::ID);
    }
    public static function get_id(): string
    {
        return self::ID;
    }
}
